Name: xenstoreprovider
Version: 3.1
Release: 0%{?dist}
Summary: Xenstore provider for Oracle VM VMAPI
License: LGPL
Group: Development/Libraries
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libovmapi-devel >= 3.3
Requires: libovmapi >= 3.3

%description
Xenstore provider for Oracle VM VMAPI.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
/usr/libexec/ovmapi/

%changelog
* Mon Oct 19 2020 Vamsi Krishna Inguva <vamsi.inguva@oracle.com> - 3.1-0
- Reviewed-by: Adnan Misherfi <adnan.misherfi@oracle.com>
- Oracle-Bug: 29629987
     Port xenstoreprovider to Oracle Linux 8. Change version to 3.1.
     Added CFLAGS to Makefile and version changes to libovmapi.spec.
     xenstoreprovider-3.1-0.el8 is taken from tags-7/xenstoreprovider-3.0-19.el7.

* Sun Jul 22 2018 Susan Kamm-Worrell <susan.kamm-worrell@oracle.com> - 3.0-19
- Oracle-Bug: 27923102
   ovmd-3.7:
   Replaced select with fgets which is restartable after a signal.
   Outchild pipe needs to be kept open to write ovmapi data.
   xenstoreprovider:
   Added restart to SIGIO sa_flags so that syscalls can be restarted after event handling.
  Signed-off-by: Paul Benoit <paul.x.benoit@oracle.com>

* Fri Feb 16 2018 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.0-18
- Oracle-Bug: 27486046
  Added a 600-second timeout on attempt to open /dev/ovmapi.

* Tue Mar 22 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.0-17 
- Reviewed-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Random signals could be blocked within xs_AsyncHandler. [bug 22638859]  

* Thu Oct 29 2015 Kevin Lyons <kevin.x.lyons@oracle.com> - 3.0-16 
- Require libovmapi-devel >= 3.2

* Thu Oct 29 2015 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.0-15 
- Reviewed-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Added debug build mode, fixed compiler warnings. 

* Fri Oct 02 2015  Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.0-14
- Requires libovmapi [bug 21877857] 

* Tue Sep 29 2015  Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.0-13 
- Reviewed-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Use ovmjson library from libovmapi package instead of cJSON.c. [bug 21877857]  

* Fri Mar 28 2014 keshav Sharma <keshav.sharma@oracle.com> - 3.0-12 
- Update license headers in source

* Wed Jan 09 2013 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-11 
- Change from Wim.  Prevent malformed eventData from creating segfault. 

* Wed Dec 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-10 
- Remove kmod-ovmapi-uek dependency.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com> [bug 15981576]  

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-9 
- add dependency for kmod-ovmapi-uek
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Fri Nov 18 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-8 
- Fix ordering issue with VMAPI event JSON decoding 

* Thu Nov 03 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-7 
- set FD_CLOEXEC to file descriptor of /dev/ovmapi [bug 13105227] 

* Wed Nov 02 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-6 
- Add some protection versus malformed vmapi events 

* Tue Nov 01 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-5 
- Implement incoming events 

* Fri Aug 05 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-4 
- Free event memory after callback complete 

* Fri Aug 05 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-3 
- Free event memory properly 

* Fri Aug 05 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-2 
- Fix bug where events can get stuck in the kernel 

* Mon Jun 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-1 
- Initial build.
